<template>
  <div>
    <div
      v-for="(contactItem, index) in contactList"
      :key="index"
      class="contact-item"
    >
      <h4 class="contact-name">{{ contactItem.name }}</h4>
      <p class="contact-des">Hotline: {{ contactItem.hotline }}</p>
      <p class="contact-des">Tel : {{ contactItem.tel }}</p>
      <p class="contact-des">Địa chỉ : {{ contactItem.address }}</p>
    </div>
  </div>
</template>

<script>
import { getAddressData } from "~/services/mock-data/address/address-api";

export default {
  data() {
    return {
      contactList: [],
    };
  },
  async mounted() {
    this.contactList = await getAddressData();
  },
};
</script>

<style></style>
